Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRHighLowDataset

All Superinterfaces:
  java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset

All Known Implementing Classes:
  JRBaseHighLowDataset, JRDesignHighLowDataset, JRFillHighLowDataset

    public interface JRHighLowDataset

extends JRChartDataset

Version:
  $Id: JRHighLowDataset.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Method Summary
`JRExpression` | `getCloseExpression()`
`JRExpression` | `getDateExpression()`
`JRExpression` | `getHighExpression()`
`JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
`JRExpression` | `getLowExpression()`
`JRExpression` | `getOpenExpression()`
`JRExpression` | `getSeriesExpression()`
`JRExpression` | `getVolumeExpression()`

Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset
`getDatasetType, validate`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`collectExpressions, getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getSeriesExpression

    JRExpression getSeriesExpression()

### getDateExpression

    JRExpression getDateExpression()

### getHighExpression

    JRExpression getHighExpression()

### getLowExpression

    JRExpression getLowExpression()

### getOpenExpression

    JRExpression getOpenExpression()

### getCloseExpression

    JRExpression getCloseExpression()

### getVolumeExpression

    JRExpression getVolumeExpression()

### getItemHyperlink

    JRHyperlink getItemHyperlink()

  Returns the hyperlink specification for chart items.

  The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

  Returns:
    hyperlink specification for chart items

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com